<template>
  <v-card height="100%" class="pa-2 white--text">
    <div class="d-block title text-center">
      Particle properties
    </div>
    <div id="info" v-if="!hideDisplayMenu">
      <br>
      Locked: {{particle.locked}}
      <br><br>
      X: {{particle.pos.x.toPrecision(7)}} m<br>
      Y: {{particle.pos.y.toPrecision(7)}} m
      <br><br>
      q: {{particle.q.toPrecision(7)}} C<br>
      m: {{particle.m.toPrecision(7)}} kg
      <br><br>
      a.X: {{particle.a.vx.toPrecision(7)}} m/s²<br>
      a.Y: {{particle.a.vy.toPrecision(7)}} m/s²
      <br><br>
      v.X: {{particle.v.vx.toPrecision(7)}} m/s<br>
      v.Y: {{particle.v.vy.toPrecision(7)}} m/s
    </div>
    <div v-else style="text-align: center; font-style: italic; color: grey">
      <br>
      Select particle first
    </div>

  </v-card>
</template>

<script>
import {AppContext} from '@Util'

export default {
  name: 'InfoDisplay',
  props: {
    elementId: String,
    height: String,
    width: String,
  },
  computed: {
    hideDisplayMenu() {
      return AppContext.grid.selectedElement === -1
    },
    particle() {
      return AppContext.grid.particlesList[AppContext.grid.selectedElement]
    }
  }
}
</script>

<style>
.value {
  display: inline-block;
}

#info {
  margin-left: 10px;
}
</style>